﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DlhSoft.Windows.Controls;

namespace GanttChartTaskListViewActivationSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        // Execute custom actions when tasks get activated in the control by mouse left button double click events.
        private void GanttChartTaskListView_TaskActivated(object sender, TaskActivatedEventArgs e)
        {
            MessageBox.Show(string.Format("Task activated:\n{0}", e.Task.Item), Title, MessageBoxButton.OK, MessageBoxImage.Information);
        }

        // Execute custom actions when predecessors get activated in the control by mouse left button double click events.
        private void GanttChartTaskListView_PredecessorActivated(object sender, PredecessorActivatedEventArgs e)
        {
            MessageBox.Show(string.Format("Task dependency activated:\n{0} - {1}", e.Predecessor.Task.Item, e.Predecessor.ParentTask.Item), Title, MessageBoxButton.OK, MessageBoxImage.Information);
        }
    }
}
